> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrylabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cart Details Status

> Check the status of a cart details retrieval job and get results when ready.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/henry-sdk/openapi.documented.yml get /cart/checkout/status
openapi: 3.1.0
info:
  title: Henry Labs API
  version: 1.5.0
  description: Playground for Henry Labs API endpoints
  contact:
    name: Henry Labs API Support
    email: support@henrylabs.ai
servers:
  - url: https://api.henrylabs.ai/v1
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Product
    description: Product search, details, and data enrichment
  - name: Cart
    description: Universal user shopping cart management
  - name: Orders
    description: Order management post purchase
  - name: Merchants
    description: Merchant information and status
  - name: Card
    description: Card tokenization and management
paths:
  /cart/checkout/status:
    get:
      tags:
        - Cart
      summary: Cart Details Status
      description: >-
        Check the status of a cart details retrieval job and get results when
        ready.
      operationId: cartDetailsStatus
      parameters:
        - in: query
          name: refId
          schema:
            type: string
            pattern: ^[a-zA-Z]{3}-ref_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[0-9a-f]{4}$
            description: Reference ID used for checking status
            example: ckd-ref_3fa85f64-5717-4562-b3fc
          required: true
          description: Reference ID used for checking status
      responses:
        '200':
          description: Cart details status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cartDetailsStatusResponse'
        '400':
          description: Bad request - Invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - success
                  - status
                  - message
                additionalProperties: false
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - success
                  - status
                  - message
                additionalProperties: false
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import HenrySDK from '@henrylabs/sdk';

            const client = new HenrySDK({
              apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.cart.checkout.pollDetails({
              refId: 'ckd-ref_3fa85f64-5717-4562-b3fc',
            });

            console.log(response.refId);
components:
  schemas:
    cartDetailsStatusResponse:
      type: object
      properties:
        refId:
          type: string
          pattern: ^[a-zA-Z]{3}-ref_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[0-9a-f]{4}$
        status:
          type: string
          enum:
            - pending
            - processing
            - complete
            - failed
        result:
          type: object
          properties:
            data:
              type: object
              properties:
                shippingOptions:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      cost:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                      timeEstimate:
                        type: string
                      minDate:
                        type: string
                      maxDate:
                        type: string
                    required:
                      - id
                      - name
                      - cost
                    additionalProperties: false
                costs:
                  type: object
                  properties:
                    subtotal:
                      type: object
                      properties:
                        value:
                          type: number
                        currency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - AUD
                            - SGD
                            - TWD
                            - GBP
                            - CAD
                            - MXN
                            - NPR
                            - INR
                            - DKK
                            - NOK
                            - SEK
                            - CHF
                            - PLN
                            - CZK
                            - JPY
                            - NZD
                            - HKD
                      required:
                        - value
                        - currency
                      additionalProperties: false
                    tax:
                      type: object
                      properties:
                        value:
                          type: number
                        currency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - AUD
                            - SGD
                            - TWD
                            - GBP
                            - CAD
                            - MXN
                            - NPR
                            - INR
                            - DKK
                            - NOK
                            - SEK
                            - CHF
                            - PLN
                            - CZK
                            - JPY
                            - NZD
                            - HKD
                      required:
                        - value
                        - currency
                      additionalProperties: false
                    shipping:
                      type: object
                      properties:
                        value:
                          type: number
                        currency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - AUD
                            - SGD
                            - TWD
                            - GBP
                            - CAD
                            - MXN
                            - NPR
                            - INR
                            - DKK
                            - NOK
                            - SEK
                            - CHF
                            - PLN
                            - CZK
                            - JPY
                            - NZD
                            - HKD
                      required:
                        - value
                        - currency
                      additionalProperties: false
                    discount:
                      type: object
                      properties:
                        value:
                          type: number
                        currency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - AUD
                            - SGD
                            - TWD
                            - GBP
                            - CAD
                            - MXN
                            - NPR
                            - INR
                            - DKK
                            - NOK
                            - SEK
                            - CHF
                            - PLN
                            - CZK
                            - JPY
                            - NZD
                            - HKD
                      required:
                        - value
                        - currency
                      additionalProperties: false
                    total:
                      type: object
                      properties:
                        value:
                          type: number
                        currency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - AUD
                            - SGD
                            - TWD
                            - GBP
                            - CAD
                            - MXN
                            - NPR
                            - INR
                            - DKK
                            - NOK
                            - SEK
                            - CHF
                            - PLN
                            - CZK
                            - JPY
                            - NZD
                            - HKD
                      required:
                        - value
                        - currency
                      additionalProperties: false
                  required:
                    - subtotal
                    - total
                  additionalProperties: false
                coupons:
                  type: array
                  items:
                    type: object
                    properties:
                      code:
                        type: string
                      available:
                        type: boolean
                      savedAmount:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                    required:
                      - code
                      - available
                    additionalProperties: false
              required:
                - shippingOptions
                - costs
              additionalProperties: false
            items:
              type: array
              items:
                type: object
                properties:
                  shippingOptions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        cost:
                          type: object
                          properties:
                            value:
                              type: number
                            currency:
                              type: string
                              enum:
                                - USD
                                - EUR
                                - AUD
                                - SGD
                                - TWD
                                - GBP
                                - CAD
                                - MXN
                                - NPR
                                - INR
                                - DKK
                                - NOK
                                - SEK
                                - CHF
                                - PLN
                                - CZK
                                - JPY
                                - NZD
                                - HKD
                          required:
                            - value
                            - currency
                          additionalProperties: false
                        timeEstimate:
                          type: string
                        minDate:
                          type: string
                        maxDate:
                          type: string
                      required:
                        - id
                        - name
                        - cost
                      additionalProperties: false
                  costs:
                    type: object
                    properties:
                      subtotal:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                      tax:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                      shipping:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                      discount:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                      total:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - AUD
                              - SGD
                              - TWD
                              - GBP
                              - CAD
                              - MXN
                              - NPR
                              - INR
                              - DKK
                              - NOK
                              - SEK
                              - CHF
                              - PLN
                              - CZK
                              - JPY
                              - NZD
                              - HKD
                        required:
                          - value
                          - currency
                        additionalProperties: false
                    required:
                      - subtotal
                      - total
                    additionalProperties: false
                  coupons:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        available:
                          type: boolean
                        savedAmount:
                          type: object
                          properties:
                            value:
                              type: number
                            currency:
                              type: string
                              enum:
                                - USD
                                - EUR
                                - AUD
                                - SGD
                                - TWD
                                - GBP
                                - CAD
                                - MXN
                                - NPR
                                - INR
                                - DKK
                                - NOK
                                - SEK
                                - CHF
                                - PLN
                                - CZK
                                - JPY
                                - NZD
                                - HKD
                          required:
                            - value
                            - currency
                          additionalProperties: false
                      required:
                        - code
                        - available
                      additionalProperties: false
                required:
                  - shippingOptions
                  - costs
                additionalProperties: false
          required:
            - items
          additionalProperties: false
        error:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
      required:
        - refId
        - status
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````